import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

class liquid_CS_Model extends AbstractTableModel
{ private static final long serialVersionUID =9579657756L;
  Object[][] veri;
  String[] baslik={"İsim ","Değer ","Birimler"};
  liquid_CS g;
  
  public liquid_CS_Model()
  {
  g=new liquid_CS("su");
  veri=g.toString(273.0);
  }
  
  public liquid_CS_Model(String s,double t)
  {
  g=new liquid_CS(s);
  veri=g.toString(t);
  }  

  public liquid_CS_Model(String s)
  {
  g=new liquid_CS(s);
  veri=g.toString(273.0);
  }  

  public int getRowCount() {return veri.length;}
  public int getColumnCount() {return baslik.length;}
  public Object getValueAt(int satir,int sutun) {return veri[satir][sutun];}
  public String getColumnName(int c) {return baslik[c];}
  public void setValueAt(Object val, int row, int col)
  {
    veri[row][col] = val;
   }
  
  public void setValues(String s,double t)
  {  
  g=new liquid_CS(s);
  veri=g.toString(t);
  }
  
  public void setValues(double t)
  {veri=g.toString(t);}

  public boolean isCellEditable(int row, int col) {return true;}
}


